# Odoo REST API: Version 1.0 documentation

If you want to build apps and other integrations for Odoo, this tutorial will walk you through what is required to authenticate and make basic API calls.

### Get the module

The module **restapi** is available on **Odoo App Store**, Here are links for:

* [Version 19.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/19.0/restapi)
* [Version 18.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/18.0/restapi)
* [Version 17.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/17.0/restapi)
* [Version 16.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/16.0/restapi/)
* [Version 15.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/15.0/restapi/)
* [Version 14.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/14.0/restapi/)
* [Version 13.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/13.0/restapi/)
* [Version 12.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/12.0/restapi/)
* [Version 11.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/11.0/restapi/)
* [Version 10.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/10.0/restapi/)
* [Version 9.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/9.0/restapi/)
* [Version 8.0 (Community & Enterprise)](https://apps.odoo.com/apps/modules/8.0/restapi/)

### Installation

Install **restapi** module by following the below steps:

1. Unzip **restapi** module to the **custom addons** directory
2. Restart Odoo server
3. Activate **Developer Mode** from the **Settings** menu
4. Navigate to the **Apps** menu
5. Click on **Update Apps List** menu in the left sidebar
6. Once apps list is updated, click on the **Apps** menu from left/top side bar
7. Search module **restapi**
8. Click on **Install** button.

### Getting Started

* [Connection](/rest-api/connection.md)
  * [Configuration](/rest-api/connection/configuration.md)
  * [Demo](/rest-api/connection/demo.md)
  * [Logging In](/rest-api/connection/logging-in.md)
    * [How you can do](/rest-api/connection/logging-in/how-you-can-do.md)
      * [Odoo Version Information](/rest-api/connection/logging-in/how-you-can-do/odoo-version-information.md)
      * [Oauth1 Authentication](/rest-api/connection/logging-in/how-you-can-do/oauth1-authentication.md)
      * [OAuth2 Authentication](/rest-api/connection/logging-in/how-you-can-do/oauth2-authentication.md)
* [Calling Methods](/rest-api/calling-methods.md)
  * [What you can do?](/rest-api/calling-methods.md)
  * [Check Access Rights](/rest-api/calling-methods/check-access-rights.md)
  * [List Records](/rest-api/calling-methods/list-records.md)
    * [Pagination](/rest-api/calling-methods/list-records/pagination.md)
  * [Count Records](/rest-api/calling-methods/count-records.md)
  * [Read Records](/rest-api/calling-methods/read-records.md)
    * [Read Single Record](/rest-api/calling-methods/read-records/read-single-record.md)
    * [Read List Records](/rest-api/calling-methods/read-records/read-list-records.md)
    * [Read Filter Records](/rest-api/calling-methods/read-records/read-filter-records.md)
  * [List Record Fields](/rest-api/calling-methods/listing-record-fields.md)
  * [Create Records](/rest-api/calling-methods/create-records.md)
  * [Update Records](/rest-api/calling-methods/update-records.md)
    * [Update Single Record](/rest-api/calling-methods/update-records/update-single-record.md)
    * [Update List Records](/rest-api/calling-methods/update-records/update-list-records.md)
  * [Delete Records](/rest-api/calling-methods/delete-records.md)
    * [Delete Single Record](/rest-api/calling-methods/delete-records/delete-single-record.md)
    * [Delete List Records](/rest-api/calling-methods/delete-records/delete-list-records.md)
* [Report Printing](broken://pages/8igI2qUi6LRqFfVRYtOr)
  * [Print Single Report](/rest-api/report-printing/print-single-report.md)
  * [Print List Reports](/rest-api/report-printing/print-list-reports.md)
* [Inspection and Introspection](/rest-api/inspection-and-introspection.md)
  * [ir.model](/rest-api/inspection-and-introspection/ir.model.md)
  * [ir.model.fields](/rest-api/inspection-and-introspection/ir.model.fields.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://synconics.gitbook.io/rest-api/odoo-rest-api-version-1.0-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
